Padre::Wx::Dialog::WindowList(3pm)

NAME
Padre::Wx::Dialog::WindowList - Windows list dialog for Padre

DESCRIPTION
This module could be used to apply custom actions to some of the open files/windows.

PUBLIC API

  Constructor
"new"

    my $dialog = PWD::SM->new( $parent )

Create and return a new Wx dialog listing all the windows. It needs a $parent window (usually Padre's main window).

  Public methods
"show"

    $dialog->show;

Request the window list dialog to be shown. It will be refreshed first with a current list of open files/windows.

COPYRIGHT & LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.